aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/buildtests.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/buildtests.in')
-rwxr-xr-xscripts/buildtests.in24
1 files changed, 24 insertions, 0 deletions
diff --git a/scripts/buildtests.in b/scripts/buildtests.in
new file mode 100755
index 000000000..1cc8e956f
--- /dev/null
+++ b/scripts/buildtests.in
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+if [ $# == 0 -o $# -ge 3 ]
+then
+ echo "usage: ./buildtests regexp [jobs]"
+ echo " makes tests matching the regexp, with [jobs] concurrent make jobs"
+ exit 0
+fi
+
+TESTSLIST="${EIGEN_TESTS_LIST}"
+
+targets_to_make=`echo "$TESTSLIST" | egrep "$1" | sed s/^/test_/g | xargs echo`
+
+if [ $# == 1 ]
+then
+ make $targets_to_make
+ exit $?
+fi
+
+if [ $# == 2 ]
+then
+ make -j $2 $targets_to_make
+ exit $?
+fi